[API Reference](../README.md) > [GetBeneficiaryRewardsParams](../interfaces/GetBeneficiaryRewardsParams.md)

# Interface: GetBeneficiaryRewardsParams

## Hierarchy

**GetBeneficiaryRewardsParams**

## Index

### Properties

* [avatar](GetBeneficiaryRewardsParams.md#avatar)
* [beneficiaryAddress](GetBeneficiaryRewardsParams.md#beneficiaryAddress)
* [proposalId](GetBeneficiaryRewardsParams.md#proposalId)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/contributionReward.ts:686](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L686)*

The avatar under which the proposals were created

___
<a id="beneficiaryAddress"></a>

###  beneficiaryAddress

**● beneficiaryAddress**: *`string`*

*Defined in [wrappers/contributionReward.ts:690](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L690)*

The agent who is to receive the rewards

___
<a id="proposalId"></a>

### `<Optional>` proposalId

**● proposalId**: *`string`*

*Defined in [wrappers/contributionReward.ts:694](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L694)*

Optionally filter on the given proposalId

___

